Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233478 - CVE-2007-1592 IPv6 oops triggerable by any user
Summary: CVE-2007-1592 IPv6 oops triggerable by any user
Keywords:
Status: CLOSED DUPLICATE of bug 233114
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Don Howard
QA Contact: Martin Jenner
URL:
Whiteboard: impact=important,source=netdev,report...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 18:14 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-07 00:50:08 UTC


Attachments (Terms of Use)

Description Marcel Holtmann 2007-03-22 18:14:47 UTC
We accidently copy the ipv6 flow list to child sockets of listening TCP
sockets, but don't bump the reference count, clone the object, etc.  And
the list linkage of this object is not built such that multiple sockets
can point to it anyways.

Therefore if a listening socket has a flow list attached, when a child
connection closes we'll OOPS or double free the flow list entry.

Any user can trigger this.

Steps to reproduce this behavior:

1) Open listening IPV6 TCP socket
2) Attach a flowlabel with IPV6_FLOWLABEL_MGR socket option,
   freq->flr_action == IPV6_FL_A_GET and appropriate metadata.
3) Connect to that listening socket, and close()

http://marc.info/?l=linux-netdev&m=117406721731891&w=2

Comment 1 Don Howard 2007-06-07 00:50:08 UTC

*** This bug has been marked as a duplicate of 233114 ***


Note You need to log in before you can comment on or make changes to this bug.